Skip to content

Back to Previous Page

  • Endpoint: POST /pageReturn
  • Tags: Collection Service

Description

DO NOT use the parameter status value attached to the front-end callback (frontCallBackUrl) to update the order status. Please be sure to use PayerMax server asynchronous callback, or actively request the order status of the order query interface after learning the front-end callback, to ensure the accuracy and security of your transaction.

Parameters

FieldInTypeRequiredConstraintsDescription
Content-TypeheaderstringYes
signheaderstringYes签名信息请参考技术文档

Parameter Examples

  • Content-Type: "application/json"
  • sign: "FPFVT3o227JrFRbqu19boZCpVVTF9KznxyRawUmxpfXilHV/0yK46haPhAjNu1hPUMy7Vw/ILXhfzffNm4Fj0apWknlTY9OJxnSoQxS9BTFtc61tn5yV1q69x/kkBl82/qwg+XTJ4fOzy7Mar3VaC1E2PlDA6RkkKBUyNE6RYgsdB+Su7an4+4HVTNAnoe74WyvBgxTLMNg28igBTdqxaO3w/UBY6ObVp7vkqkQGdL1Y+HgmMYaAVwrM3+ALWGId0sJ+YqTY4WJ+0xCRGhaSnybiIjZsQEYyID68WNUfuavDLDsEhaMm/HfQvf5p0R1Ltovp3wwJnEbQcjY458iX5A=="

Request Body

Content-Type: application/json

FieldTypeRequiredConstraintsDescriptionEnum
outTradeNostringYesmaxLength: 64Merchant order id
tradeTokenstringYesmaxLength: 64PayerMax order id
statusstringYesmaxLength: 32Order status

Example

json
{
  "outTradeNo": "20181112112606266846",
  "tradeToken": "T202306292122121",
  "status": "PENDING"
}

Responses

200

Was this page helpful?

Thank you for your help in improving PayerMax Product Docs!

Released under the MIT License.